[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.GetBitmap

Gets image data at the specified position as a bitmap.

## Declaration

Source position: imglist.pp line 371

`public procedure TCustomImageList.GetBitmap(`
`Index: Integer;`
`Image: TCustomBitmap`
`); overload; procedure TCustomImageList.GetBitmap(`
`Index: Integer;`
`Image: TCustomBitmap;`
`AEffect: TGraphicsDrawEffect`
`); overload;`

## Arguments

`Index` |  | Ordinal position of the requested image.
`Image` |  | Bitmap used to store the image data.

## Arguments

`Index` |  | Ordinal position of the requested image.
`Image` |  | Bitmap used to store the image data.
`AEffect` |  | Drawing effect applied to the image.

## Description

GetBitmap is an overloaded procedure used to get the image stored at the specified position in the image list as a bitmap image.

Index contains the ordinal position in the image list where the image is stored.

Image is the TCustomBitmap class instance where the requested image data is stored in the method.

An overloaded variant of the method includes the AEffect parameter which specifies the drawing effect applied to the image data and stored in Image. The default value for AEffect is gdeNormal and cause the image to be rendered using the normal enabled style for the widgetset.

GetBitmap calls GetResolution to locate the default image resolution which uses the width specified in the Width property. The TCustomImageListResolution class instance is used to call its GetBitmap method using the parameters supplied to the method.

## See also

TCustomImageList.Width |  | Width of images in the default resolution for the image list.
TCustomImageList.GetResolution |  | Gets the value for the indexed Resolution property.
TCustomImageListResolution |  | Implements an image resolution (or size) used in TCustomImageList.
TGraphicsDrawEffect